import { NativeUIContainer } from "./NativeUIContainer";
import { NativeUIComponentBuiltInType } from "./NativeUIComponentBuiltInType";
import { NativeUIComponent } from "./NativeUIComponent";
import { INativeUIGridBridge } from "./INativeUIGridBridge";
import { Type } from "./type";
import { NativeUIClickedEventArgs } from "./NativeUIClickedEventArgs";
import { NativeUIGridHeightType } from "./NativeUIGridHeightType";
import { NativeUIGridWidthType } from "./NativeUIGridWidthType";
/**
 * @hidden
 */
export declare class NativeUIGrid extends NativeUIContainer {
    static $t: Type;
    protected get_e(): NativeUIComponentBuiltInType;
    readonly bb: number;
    readonly a8: number;
    readonly a5: INativeUIGridBridge;
    bd(a: number, b: NativeUIGridHeightType, c: number): void;
    bj(a: number, b: NativeUIGridHeightType, c: number): void;
    bc(a: number, b: NativeUIGridWidthType, c: number): void;
    bi(a: number, b: NativeUIGridWidthType, c: number): void;
    bh(a: NativeUIComponent, b: number): void;
    bg(a: NativeUIComponent, b: number): void;
    ba(a: NativeUIComponent): number;
    a9(a: NativeUIComponent): number;
    bf(a: number): void;
    be(a: number): void;
    private a6;
    a7: (sender: any, args: NativeUIClickedEventArgs) => void;
}
